## net.sf.saxon.om
Interface UnfailingIterator

All Superinterfaces:
  SequenceIterator

All Known Subinterfaces:
  AxisIterator

All Known Implementing Classes:
  ArrayIterator, AxisIteratorImpl, EmptyIterator, ListIterator, NamespaceIterator, Navigator.AncestorEnumeration, Navigator.AxisFilter, Navigator.BaseEnumeration, Navigator.DescendantEnumeration, Navigator.FollowingEnumeration, Navigator.PrecedingEnumeration, NodeArrayIterator, NodeListIterator, PrependIterator, ReverseArrayIterator, ReverseNodeArrayIterator, SingleNodeIterator, SingletonIterator, StringTokenIterator, StringValue.CharacterIterator, VirtualCopy.VirtualCopier, VirtualUntypedCopy.VirtualUntypedCopier

    public interface UnfailingIterator

extends SequenceIterator

A SequenceIterator is used to iterate over a sequence. An UnfailingIterator is a SequenceIterator that throws no checked exceptions.

Field Summary

Fields inherited from interface net.sf.saxon.om.SequenceIterator
`GROUNDED, LAST_POSITION_FINDER, LOOKAHEAD`

Method Summary
`Item` `current()` Get the current item in the sequence.
`SequenceIterator` `getAnother()` Get another iterator over the same sequence of items, positioned at the start of the sequence.
`Item` `next()` Get the next item in the sequence.
`int` `position()` Get the current position

Methods inherited from interface net.sf.saxon.om.SequenceIterator
`close, getProperties`

Method Detail

### next

    Item next()

  Get the next item in the sequence.

  Specified by:
    `next` in interface `SequenceIterator`
  Returns:
    the next Item. If there are no more nodes, return null.

### current

    Item current()

  Get the current item in the sequence.

  Specified by:
    `current` in interface `SequenceIterator`
  Returns:
    the current item, that is, the item most recently returned by next()

### position

    int position()

  Get the current position

  Specified by:
    `position` in interface `SequenceIterator`
  Returns:
    the position of the current item (the item most recently returned by next()), starting at 1 for the first node

### getAnother

    SequenceIterator getAnother()

  Get another iterator over the same sequence of items, positioned at the start of the sequence. It must be possible to call this method at any time, whether none, some, or all of the items in the original iterator have been read. The method is non-destructive: it does not change the state of the original iterator.

  Specified by:
    `getAnother` in interface `SequenceIterator`
  Returns:
    a new iterator over the same sequence

Copyright (c) Saxonica Limited. All rights reserved.